Bullet Collision Detection & Physics Library: btPolyhedralContactClipping.cpp File Reference

Bullet Collision Detection & Physics Library

Functions | Variables
btPolyhedralContactClipping.cpp File Reference
`#include "btPolyhedralContactClipping.h"`
`#include "BulletCollision/CollisionShapes/btConvexPolyhedron.h"`
`#include <float.h>`
Include dependency graph for btPolyhedralContactClipping.cpp:

Go to the source code of this file.

## Functions
static bool | TestSepAxis (const btConvexPolyhedron &hullA, const btConvexPolyhedron &hullB, const btTransform &transA, const btTransform &transB, const btVector3 &sep_axis, btScalar &depth, btVector3 &witnessPointA, btVector3 &witnessPointB)
bool | IsAlmostZero (const btVector3 &v)
void | btSegmentsClosestPoints (btVector3 &ptsVector, btVector3 &offsetA, btVector3 &offsetB, btScalar &tA, btScalar &tB, const btVector3 &translation, const btVector3 &dirA, btScalar hlenA, const btVector3 &dirB, btScalar hlenB)

## Variables
int | gExpectedNbTests =0
| This file was written by Erwin Coumans Separating axis rest based on work from Pierre Terdiman, see And contact clipping based on work from Simon Hobbs. More...
int | gActualNbTests = 0
bool | gUseInternalObject = true
static int | gActualSATPairTests =0

## Function Documentation

## ◆ btSegmentsClosestPoints()

void btSegmentsClosestPoints | ( | btVector3 & | ptsVector,
|  | btVector3 & | offsetA,
|  | btVector3 & | offsetB,
|  | btScalar & | tA,
|  | btScalar & | tB,
|  | const btVector3 & | translation,
|  | const btVector3 & | dirA,
|  | btScalar | hlenA,
|  | const btVector3 & | dirB,
|  | btScalar | hlenB
| ) |  |
| inline

Definition at line 183 of file btPolyhedralContactClipping.cpp.

## ◆ IsAlmostZero()

bool IsAlmostZero | ( | const btVector3 & | v | ) |
| inline

Definition at line 117 of file btPolyhedralContactClipping.cpp.

## ◆ TestSepAxis()

static bool TestSepAxis | ( | const btConvexPolyhedron & | hullA,
|  | const btConvexPolyhedron & | hullB,
|  | const btTransform & | transA,
|  | const btTransform & | transB,
|  | const btVector3 & | sep_axis,
|  | btScalar & | depth,
|  | btVector3 & | witnessPointA,
|  | btVector3 & | witnessPointB
| ) |  |
| static

Definition at line 80 of file btPolyhedralContactClipping.cpp.

## Variable Documentation

## ◆ gActualNbTests

int gActualNbTests = 0

Definition at line 28 of file btPolyhedralContactClipping.cpp.

## ◆ gActualSATPairTests

int gActualSATPairTests =0
| static

Definition at line 115 of file btPolyhedralContactClipping.cpp.

## ◆ gExpectedNbTests

int gExpectedNbTests =0

This file was written by Erwin Coumans Separating axis rest based on work from Pierre Terdiman, see And contact clipping based on work from Simon Hobbs.

Definition at line 27 of file btPolyhedralContactClipping.cpp.

## ◆ gUseInternalObject

bool gUseInternalObject = true

Definition at line 29 of file btPolyhedralContactClipping.cpp.